Bug 458098 - virt-viewer 'View -> Scale display' setting is not persistent.
virt-viewer 'View -> Scale display' setting is not persistent.
Status: CLOSED CANTFIX
Product: Virtualization Tools
Classification: Community
Component: virt-viewer (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-06 10:14 EDT by Sam Sharpe
Modified: 2015-08-21 04:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-21 04:05:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Sharpe 2008-08-06 10:14:47 EDT
Description of problem:
virt-viewer 'View -> Scale display' setting is not persistent.

Version-Release number of selected component (if applicable):
Name        : virt-viewer                  Relocations: (not relocatable)
Version     : 0.0.3                             Vendor: Fedora Project


How reproducible:

Steps to Reproduce:

1. Open virt-viewer
2. Click 'View -> Scale Display' to change the default setting
3. Close virt-viewer
4. Open virt-viewer, observe that change to Scale Display is not persistent
  
Actual results:

'View -> Scale Display' is set on starting virt-viewer based on whether the Window Manager is composited (compositing on == scaling off). Changes made by the user do not persist across restarts.

Expected results:

Default setting chosen as above, but changes to that default made by the user 
should persist over application restarts. (Probably should be stored in GConf)
Comment 1 Mark McLoughlin 2009-01-21 06:01:50 EST
Confirmed, moving this upstream
Comment 3 Pavel Grunt 2015-08-21 04:05:26 EDT
The 'View -> Scale display' setting was removed from virt-viewer

Note You need to log in before you can comment on or make changes to this bug.